Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.emboss.jemboss
Class Jemboss.winExit

    java.lang.Object
      |
      +--java.awt.event.WindowAdapter
            |
            +--org.emboss.jemboss.Jemboss.winExit

All Implemented Interfaces:
  java.util.EventListener, java.awt.event.WindowFocusListener, java.awt.event.WindowListener, java.awt.event.WindowStateListener

Enclosing class:
  Jemboss

class Jemboss.winExit
extends java.awt.event.WindowAdapter

Extends WindowAdapter to close window

Constructor Summary
`(package private)` | `Jemboss.winExit()`

Method Summary
`void` | `windowClosing(java.awt.event.WindowEvent we)`

Methods inherited from class java.awt.event.WindowAdapter
`windowActivated, windowClosed, windowDeactivated, windowDeiconified, windowGainedFocus, windowIconified, windowLostFocus, windowOpened, windowStateChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Jemboss.winExit

    Jemboss.winExit()

Method Detail

### windowClosing

    public void windowClosing(java.awt.event.WindowEvent we)

  Specified by:
    `windowClosing` in interface `java.awt.event.WindowListener`
  Overrides:
    `windowClosing` in class `java.awt.event.WindowAdapter`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD